javax.persistence

## Enum GenerationType

- java.lang.Object
- - java.lang.Enum<GenerationType>
  - - javax.persistence.GenerationType

All Implemented Interfaces:
  Serializable, Comparable<GenerationType>

    public enum GenerationType
    extends Enum<GenerationType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AUTO`
`IDENTITY`
`SEQUENCE`
`TABLE`

### Method Summary

All Methods Static Methods Concrete Methods
`static GenerationType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GenerationType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TABLE

    public static final GenerationType TABLE

#### SEQUENCE

    public static final GenerationType SEQUENCE

#### IDENTITY

    public static final GenerationType IDENTITY

#### AUTO

    public static final GenerationType AUTO

### Method Detail

#### values

    public static GenerationType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GenerationType c : GenerationType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GenerationType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null